/*
THE EDITOR Content Styles
This is some default content styling for content made with THE EDITOR.
It's recommended you include these styles anywhere you use THE EDITOR component
as well as anywhere you're rendering the content made with THE EDITOR.
This will ensure a more consistent WYSIWYG experience for your users. 
*/

/* Image Plugin */
.the-editor-context figure:has(img), .tec-figure-image{
    display: block;
    margin: 0 auto;
    /* Note: resizing will break if you remove the centering margins */
    max-width: 100%;
    height: auto;

    & img{
        width: 100%;
        height: auto;
    }

    & figcaption{
        font-size: 80%;
        text-align: center;
        margin: 0.4rem 1rem;
    }

    & figcaption:empty{
        display: none;
    }
}

/* Table Plugin */
.the-editor-context table, .tec-table {
    border-collapse: collapse;
    border-spacing: 0;
    border: 1px solid #c4c4c4;
    width: 100%;
    margin-bottom: 10px;

    & th, td {
        border: 1px solid #c4c4c4;
        padding: 8px;
        box-sizing: border-box;
        position: relative;
    }

    & th {
        background-color: rgba(0, 0, 0, 0.05);
    }

    & th > *, td > * {
        margin: 0;
    }
}


.the-editor-context ul > p:last-child, .the-editor-context ol > p:last-child {
    margin-bottom: 0;
}